---
title: "Get connection details"
url: "https://developer.incode.com/api-reference/queue-conference-connection-details/"
section: "api-reference"
group: "Video conference"
version: "v1.1"
status: "live"
endpoint: "GET /omni/queue/conference/connection-details"
---
# Get connection details

`GET /omni/queue/conference/connection-details`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

An executive can invite the user to join a conference if the connection is lost by sending uuid ID to user.
Using this uuid connection details for that session can be fetched.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `uuid` | query | string | yes |  |
| `api-version` | header | string | yes |  |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `accessToken` | string |  | Access token which needs to be forwarded in header X-Incode-Hardware-Id for future calls. Same purpose as token from [start](#/Onboarding/startInterview) |
| `interviewerName` | string |  | The name of the executive who is on conference call with the user. |
| `sessionId` | string |  | Used for establishing conference connection via OpenTok. |
| `interviewToken` | string |  | Used for establishing conference connection via OpenTok. |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X GET https://demo-api.incodesmile.com/omni/queue/conference/connection-details \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "api-version: 1.0"
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/omni/queue/conference/connection-details", {
  method: "GET",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "api-version": "1.0",
  },
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "api-version": "1.0",
}
res = requests.get("https://demo-api.incodesmile.com/omni/queue/conference/connection-details", headers=headers)
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/omni/queue/conference/connection-details"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("api-version", "1.0")
    .method("GET", HttpRequest.BodyPublishers.noBody())
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Example response

```json
{
  "success": true,
  "status": "OK"
}
```
